package com.dgtis.dorm.manager.db.domain;

import java.time.LocalDateTime;

public class AlumniOrganizeUser {
    private Integer id;

    private Integer fkOrganizeId;

    private Integer fkUserId;

    private String isNormal;

    private String priType;

    private LocalDateTime createDate;

    private Integer authUserId;

    private LocalDateTime authDate;

    private String authMemo;

    private Boolean isDelete;

    private String deleteMemo;

    private LocalDateTime deleteDate;

    private Boolean isForbidden;

    private LocalDateTime modifyDate;

    private Integer modifyUserId;

    private String userMemo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getFkOrganizeId() {
        return fkOrganizeId;
    }

    public void setFkOrganizeId(Integer fkOrganizeId) {
        this.fkOrganizeId = fkOrganizeId;
    }

    public Integer getFkUserId() {
        return fkUserId;
    }

    public void setFkUserId(Integer fkUserId) {
        this.fkUserId = fkUserId;
    }

    public String getIsNormal() {
        return isNormal;
    }

    public void setIsNormal(String isNormal) {
        this.isNormal = isNormal == null ? null : isNormal.trim();
    }

    public String getPriType() {
        return priType;
    }

    public void setPriType(String priType) {
        this.priType = priType == null ? null : priType.trim();
    }

    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    public Integer getAuthUserId() {
        return authUserId;
    }

    public void setAuthUserId(Integer authUserId) {
        this.authUserId = authUserId;
    }

    public LocalDateTime getAuthDate() {
        return authDate;
    }

    public void setAuthDate(LocalDateTime authDate) {
        this.authDate = authDate;
    }

    public String getAuthMemo() {
        return authMemo;
    }

    public void setAuthMemo(String authMemo) {
        this.authMemo = authMemo == null ? null : authMemo.trim();
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public String getDeleteMemo() {
        return deleteMemo;
    }

    public void setDeleteMemo(String deleteMemo) {
        this.deleteMemo = deleteMemo == null ? null : deleteMemo.trim();
    }

    public LocalDateTime getDeleteDate() {
        return deleteDate;
    }

    public void setDeleteDate(LocalDateTime deleteDate) {
        this.deleteDate = deleteDate;
    }

    public Boolean getIsForbidden() {
        return isForbidden;
    }

    public void setIsForbidden(Boolean isForbidden) {
        this.isForbidden = isForbidden;
    }

    public LocalDateTime getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(LocalDateTime modifyDate) {
        this.modifyDate = modifyDate;
    }

    public Integer getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(Integer modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public String getUserMemo() {
        return userMemo;
    }

    public void setUserMemo(String userMemo) {
        this.userMemo = userMemo == null ? null : userMemo.trim();
    }
}